org.modeshape.jcr.query

## Class BufferManager.DoubleSerializer

- java.lang.Object
- - org.modeshape.jcr.query.BufferManager.DoubleSerializer

- All Implemented Interfaces:
    Serializable, org.mapdb.Serializer<Double>
  Enclosing class:
    BufferManager

      public static class BufferManager.DoubleSerializer
      extends Object
      implements org.mapdb.Serializer<Double>, Serializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.mapdb.Serializer

      `org.mapdb.Serializer.CompressionWrapper<E>`

  - ### Field Summary

    - ### Fields inherited from interface org.mapdb.Serializer

      `BASIC, BOOLEAN, BYTE_ARRAY, BYTE_ARRAY_NOSIZE, CHAR_ARRAY, DOUBLE_ARRAY, ILLEGAL_ACCESS, INT_ARRAY, INTEGER, JAVA, LONG, LONG_ARRAY, STRING, STRING_ASCII, STRING_INTERN, STRING_NOSIZE, UUID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BufferManager.DoubleSerializer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Double` | `deserialize(DataInput in, int available)`
    `int` | `fixedSize()`
    `void` | `serialize(DataOutput out, Double value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BufferManager.DoubleSerializer

          public BufferManager.DoubleSerializer()

  - ### Method Detail

    - #### serialize

          public void serialize(DataOutput out,
                       Double value)
                         throws IOException

      Specified by:
        `serialize` in interface `org.mapdb.Serializer<Double>`
      Throws:
        `IOException`

    - #### deserialize

          public Double deserialize(DataInput in,
                           int available)
                             throws IOException

      Specified by:
        `deserialize` in interface `org.mapdb.Serializer<Double>`
      Throws:
        `IOException`

    - #### fixedSize

          public int fixedSize()

      Specified by:
        `fixedSize` in interface `org.mapdb.Serializer<Double>`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.